GDAL

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
ogrsf_frmts.h File Reference

Classes related to registration of format support, and opening datasets. More...

`#include "cpl_progress.h"`
`#include "ogr_feature.h"`
`#include "ogr_featurestyle.h"`
`#include "gdal_priv.h"`

Go to the source code of this file.

## Classes
class | OGRLayer
| This class represents a layer of simple features, with access methods. More...
class | OGRDataSource
| LEGACY class. More...
class | OGRSFDriver
| LEGACY class. More...
class | OGRSFDriverRegistrar
| LEGACY class. More...

## Macros
#define | OGR_DEPRECATED(x) CPL_WARN_DEPRECATED(x)

## Functions
void | OGRRegisterAll ()
| Register all drivers. More...
void | OGRRegisterAllInternal ()
void | RegisterOGRFileGDB ()
void | RegisterOGRShape ()
void | RegisterOGRDB2 ()
void | RegisterOGRNTF ()
void | RegisterOGRFME ()
void | RegisterOGRSDTS ()
void | RegisterOGRTiger ()
void | RegisterOGRS57 ()
void | RegisterOGRTAB ()
void | RegisterOGRMIF ()
void | RegisterOGROGDI ()
void | RegisterOGRODBC ()
void | RegisterOGRWAsP ()
void | RegisterOGRPG ()
void | RegisterOGRMSSQLSpatial ()
void | RegisterOGRMySQL ()
void | RegisterOGROCI ()
void | RegisterOGRDGN ()
void | RegisterOGRGML ()
void | RegisterOGRLIBKML ()
void | RegisterOGRKML ()
void | RegisterOGRGeoJSON ()
void | RegisterOGRAVCBin ()
void | RegisterOGRAVCE00 ()
void | RegisterOGRREC ()
void | RegisterOGRMEM ()
void | RegisterOGRVRT ()
void | RegisterOGRDODS ()
void | RegisterOGRSQLite ()
void | RegisterOGRCSV ()
void | RegisterOGRILI1 ()
void | RegisterOGRILI2 ()
void | RegisterOGRGRASS ()
void | RegisterOGRPGeo ()
void | RegisterOGRDXFDWG ()
void | RegisterOGRDXF ()
void | RegisterOGRDWG ()
void | RegisterOGRSDE ()
void | RegisterOGRIDB ()
void | RegisterOGRGMT ()
void | RegisterOGRBNA ()
void | RegisterOGRGPX ()
void | RegisterOGRGeoconcept ()
void | RegisterOGRIngres ()
void | RegisterOGRXPlane ()
void | RegisterOGRNAS ()
void | RegisterOGRGeoRSS ()
void | RegisterOGRGTM ()
void | RegisterOGRVFK ()
void | RegisterOGRPGDump ()
void | RegisterOGROSM ()
void | RegisterOGRGPSBabel ()
void | RegisterOGRSUA ()
void | RegisterOGROpenAir ()
void | RegisterOGRPDS ()
void | RegisterOGRWFS ()
void | RegisterOGRSOSI ()
void | RegisterOGRHTF ()
void | RegisterOGRAeronavFAA ()
void | RegisterOGRGeomedia ()
void | RegisterOGRMDB ()
void | RegisterOGREDIGEO ()
void | RegisterOGRGFT ()
void | RegisterOGRSVG ()
void | RegisterOGRCouchDB ()
void | RegisterOGRCloudant ()
void | RegisterOGRIdrisi ()
void | RegisterOGRARCGEN ()
void | RegisterOGRSEGUKOOA ()
void | RegisterOGRSEGY ()
void | RegisterOGRXLS ()
void | RegisterOGRODS ()
void | RegisterOGRXLSX ()
void | RegisterOGRElastic ()
void | RegisterOGRGeoPackage ()
void | RegisterOGRWalk ()
void | RegisterOGRCartoDB ()
void | RegisterOGRAmigoCloud ()
void | RegisterOGRSXF ()
void | RegisterOGROpenFileGDB ()
void | RegisterOGRSelafin ()
void | RegisterOGRJML ()
void | RegisterOGRPLSCENES ()
void | RegisterOGRCSW ()
void | RegisterOGRMongoDB ()
void | RegisterOGRVDV ()

## Detailed Description

Classes related to registration of format support, and opening datasets.

## Function Documentation

void OGRRegisterAll | ( | void |  | ) |

Register all drivers.

Deprecated:
  Use GDALAllRegister() in GDAL 2.0

Generated for GDAL by 1.8.8.